CREATE OR REPLACE VIEW v_materialprice AS
 SELECT "product-printprices".groupid,
    "product-printprices".materialid,
    "product-printprices".price
   FROM "product-printprices"
  WHERE "product-printprices".groupid = ANY (ARRAY[1, 2])
  GROUP BY "product-printprices".groupid, "product-printprices".materialid, "product-printprices".price;
